Bug 624193 - SELinux is preventing /usr/sbin/abrtd "read" access on abrt.
SELinux is preventing /usr/sbin/abrtd "read" access on abrt.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:477e893a8ff...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-14 04:14 EDT by Bharat Sadeja
Modified: 2010-09-22 06:49 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-16 07:45:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bharat Sadeja 2010-08-14 04:14:14 EDT
Summary:

SELinux is preventing /usr/sbin/abrtd "read" access on abrt.

Detailed Description:

SELinux denied access requested by abrtd. It is not expected that this access is
required by abrtd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                system_u:object_r:var_spool_t:s0
Target Objects                abrt [ dir ]
Source                        abrtd
Source Path                   /usr/sbin/abrtd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           abrt-1.1.13-1.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-10.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.34.3-37.fc13.x86_64 #1 SMP Tue
                              Aug 10 21:09:58 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Sat 14 Aug 2010 01:31:28 PM IST
Last Seen                     Sat 14 Aug 2010 01:31:28 PM IST
Local ID                      770a57d1-4d97-4bb2-ad47-f55652b7536d
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1281772888.387:39): avc:  denied  { read } for  pid=12934 comm="abrtd" name="abrt" dev=dm-0 ino=1835528 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:var_spool_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1281772888.387:39): arch=c000003e syscall=254 success=no exit=-13 a0=5 a1=420751 a2=180 a3=7fff50cd08e0 items=0 ppid=12933 pid=12934 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="abrtd" exe="/usr/sbin/abrtd" subj=system_u:system_r:abrt_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,abrtd,abrt_t,var_spool_t,dir,read
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t var_spool_t:dir read;
Comment 1 Miroslav Grepl 2010-08-16 07:45:28 EDT
This is fixed in the latest selinux-policy.

execute:

yum update

Note You need to log in before you can comment on or make changes to this bug.